import { world, system } from "@minecraft/server";

world.events.entityHurt.subscribe(async evd => {
    const { damagingEntity, hurtEntity, damage } = evd;
    const amethyst_netherite_armor = "amethyst_netherite_armor"
    const copper_netherite_armor = "copper_netherite_armor"
    if (hurtEntity.hasTag('amethyst_netherite_armor')) {
        await damagingEntity.runCommandAsync(`damage @s ${damage}`)
    }
        else if (hurtEntity.hasTag('copper_netherite_armor')) {
         await damagingEntity.runCommandAsync('summon lightning_bolt ~~~')
         damagingEntity.runCommandAsync('effect @p fire_resistance 5 0 true')
         damagingEntity.runCommandAsync('effect @p resistance 5 1 true')
    }
});

system.events.beforeWatchdogTerminate.subscribe((event) => {
    event.cancel = true;
});
